Skip to main content
GET
/
api
/
storefront
/
products
/
{slug}
Get Product By Slug
curl --request GET \
  --url https://api.example.com/api/storefront/products/{slug} \
  --header 'X-Site-ID: <x-site-id>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "slug": "<string>",
  "description": "<string>",
  "vendor": "<string>",
  "product_type": "<string>",
  "tags": [
    "<string>"
  ],
  "price": "<string>",
  "compare_at_price": "<string>",
  "currency": "<string>",
  "images": [
    {}
  ],
  "has_variants": true,
  "options": [
    {}
  ],
  "variants": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "sku": "<string>",
      "option1": "<string>",
      "option2": "<string>",
      "option3": "<string>",
      "price": "<string>",
      "compare_at_price": "<string>",
      "available": true,
      "in_stock": true,
      "image_url": "<string>"
    }
  ],
  "in_stock": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-Site-ID
string
required
X-Stella-Token
string | null

Path Parameters

slug
string
required

Response

Successful Response

Public product response.

id
string<uuid>
required
name
string
required
slug
string | null
required
description
string | null
required
vendor
string | null
required
product_type
string | null
required
tags
string[] | null
required
price
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
compare_at_price
string | null
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string
required
images
Images · object[]
required
has_variants
boolean
required
options
Options · object[]
required
variants
StorefrontVariantResponse · object[]
required
in_stock
boolean
required